[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

HTB22879: Multiple XSS vulnerabilities in CosmoShop



Vulnerability ID: HTB22879
Reference: http://www.htbridge.ch/advisory/multiple_xss_vulnerabilities_in_cosmoshop.html
Product: CosmoShop
Vendor: Zaunz Publishing GmbH ( http://www.cosmoshop.de/ ) 
Vulnerable Version: ePRO V10.05.00
Vendor Notification: 24 February 2011 
Vulnerability Type: XSS (Cross Site Scripting)
Status: Fixed by Vendor
Risk level: Medium 
Credit: High-Tech Bridge SA - Ethical Hacking & Penetration Testing (http://www.htbridge.ch/) 

Vulnerability Details:
User can execute arbitrary JavaScript code within the vulnerable application.

The vulnerability exists due to failure in the "cgi-bin/admin/rubrikadmin.cgi", "cgi-bin/admin/artikeladmin.cgi", "cgi-bin/admin/shophilfe_suche.cgi" scripts to properly sanitize user-supplied input in "rcopy" variable. Successful exploitation of this vulnerabilities could result in a compromise of the application, theft of cookie-based authentication credentials, disclosure or modification of sensitive data.

An attacker can use browser to exploit this vulnerability. The following PoC is available:

http://host/cgi-bin/admin/rubrikadmin.cgi?action=edit&rubnum=angebote&rcopy=";><script>alert(document.cookie)</script>&expand=,angebote

http://host/cgi-bin/admin/artikeladmin.cgi?action=artikelsuche&typ=bearbeiten";><script>alert(document.cookie)</script>&hId=daten.artikel

http://host/cgi-bin/admin/shophilfe_suche.cgi?sprache=de&suchbegriff=1";><script>alert(document.cookie)</script>

Solution: Upgrade to the most recent version